Object Storage API, Amazon S3-compatible REST: RestoreObject
The method ensures compatibility with other solutions, e.g., you can use the same logic as for Amazon S3 Glacier when working with Object Storage. However, unlike Amazon S3 Glacier, objects in Object Storage are immediately available for reading and do not need to be moved to hotter storage, so the method always returns 200 OK.
RestoreObject also counts as accessing an object in an INTELLIGENT_TIERING storage. The method can move the object to a more frequent access tier.
Warning
Object restoration using S3 Select is not supported. A request specifying SELECT within Type will return the 501 Not Implemented error.
For more information on getting started with the API and the general request format, see How to use the S3 API.
Request
POST /{bucket}/{key}?restore HTTP/2
Path parameters
| Parameter | Description |
|---|---|
bucket |
Bucket name |
key |
Object key |
Headers
Use the appropriate common headers in your request.
Response
Headers
Responses can only contain common headers.
Response codes
For a list of possible responses, see Responses.
A successful response does not contain any additional data.